************************************************************************
* File:  lung1.for
************************************************************************
* Scopo: primo uso semplice di DO WHILE
************************************************************************

      PROGRAM CalcolaLunghezza
* Legge da tastiera una sequenza di interi, terminata da 0.
* Calcola la lunghezza della sequenza (senza lo 0) e la stampa.

      IMPLICIT NONE
      INTEGER lunghezza, dato

      DATA lunghezza/0/

      WRITE (*,*) 'Inserisci una sequenza di interi, terminata da 0'
      READ (*,*) dato
      DO WHILE (dato .NE. 0)
        lunghezza = lunghezza + 1
        READ (*,*) dato
      ENDDO
      WRITE (*,*) 'La sequenza (senza lo 0 finale) e'' lunga ',
     $     lunghezza
      STOP

      END
